const cryptojs = require("crypto-js");
require("dotenv").config();

function DecryptWithServerKey(encrypted) {
  var key = cryptojs.enc.Utf8.parse(process.env.AESKEY);
  var options = {
    mode: cryptojs.mode.CBC,
    padding: cryptojs.pad.Pkcs7,
    iv: cryptojs.enc.Utf8.parse(process.env.AESKEY),
  };
  var decrypted = cryptojs.AES.decrypt(encrypted, key, options).toString(
    cryptojs.enc.Utf8
  );

  return decrypted;
}

module.exports = DecryptWithServerKey;
